TestRequestUtilsPopulate (Struts Core 1.3.10 Test API)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.struts.util
Class TestRequestUtilsPopulate

    java.lang.Object
      junit.framework.Assert
          junit.framework.TestCase
              org.apache.struts.mock.TestMockBase
                  org.apache.struts.util.TestRequestUtilsPopulate

All Implemented Interfaces:
  junit.framework.Test

    public class TestRequestUtilsPopulate

extends TestMockBase

Unit tests for the RequestUtil's `populate` method.

Version:
  $Rev: 471754 $

Field Summary

Fields inherited from class org.apache.struts.mock.TestMockBase
`config, context, moduleConfig, moduleConfig2, moduleConfig3, page, principal, request, response, session`

Constructor Summary
`TestRequestUtilsPopulate(String theName)` Defines the testcase name for JUnit.

Method Summary
`static void` | `main(String[] theArgs)` Start the tests.
`void` | `setUp()`
`static junit.framework.Test` | `suite()`
`void` | `tearDown()`
`void` | `testMultipartVisibility()` Ensure that the getMultipartRequestHandler cannot be seen in a subclass of ActionForm.

Methods inherited from class org.apache.struts.mock.TestMockBase
`setUpDefaultApp, setUpSecondApp, setUpThirdApp, testUtilBaseEnvironment`

Methods inherited from class junit.framework.TestCase
`countTestCases, createResult, getName, run, run, runBare, runTest, setName, toString`

Methods inherited from class junit.framework.Assert
`assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertFalse, assertFalse, assertNotNull, assertNotNull, assertNotSame, assertNotSame, assertNull, assertNull, assertSame, assertSame, assertTrue, assertTrue, fail, fail`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### TestRequestUtilsPopulate

    public TestRequestUtilsPopulate(String theName)

  Defines the testcase name for JUnit.

  Parameters:
    `theName` - the testcase's name.

Method Detail

### main

    public static void main(String[] theArgs)

  Start the tests.

  Parameters:
    `theArgs` - the arguments. Not used

### suite

    public static junit.framework.Test suite()

  Returns:
    a test suite (`TestSuite`) that includes all methods starting with "test"

### setUp

    public void setUp()

  Overrides:
    `setUp` in class `TestMockBase`

### tearDown

    public void tearDown()

  Overrides:
    `tearDown` in class `TestMockBase`

### testMultipartVisibility

    public void testMultipartVisibility()
                                 throws Exception

  Ensure that the getMultipartRequestHandler cannot be seen in a subclass of ActionForm. The purpose of this test is to ensure that Bug #38534 is fixed.

  Throws:
    `Exception`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2008 Apache Software Foundation. All Rights Reserved.